%define upstream_name	 JSON-XS
%define upstream_version 2.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
Epoch:      1

Summary:    JSON (JavaScript Object Notation) serialization
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(common::sense)
BuildRequires: perl-devel
Requires:   perl(common::sense)
%description
JSON serialising/deserialising, done correctly and fast.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%defattr(0644,root,root,0755)
%doc COPYING Changes META.json META.yml MYMETA.yml README XS eg
%{_mandir}/*/*
%{_bindir}/json_xs
%{perl_vendorarch}/JSON*
%{perl_vendorarch}/auto/JSON/XS/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1:2.330.0-2.mga3
+ Revision: 368810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1:2.330.0-1.mga3
+ Revision: 286219
- update to 2.33

* Wed May 30 2012 jquelin <jquelin> 1:2.320.0-2.mga3
+ Revision: 250798
- rebuild for perl 5.16
- update to 2.32

  + kharec <kharec>
    - update to 2.31

* Sun Jun 12 2011 sander85 <sander85> 1:2.300.0-2.mga2
+ Revision: 104714
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 1:2.300.0-1.mga1
+ Revision: 33893
- mageia rebuild
- imported package perl-JSON-XS

